default:
  image: ruby:<%= RUBY_VERSION %>

  before_script:
<%- if config[:ext] == 'rust' -%>
    - apt-get update && apt-get install -y clang
    - gem update --system '<%= ::Gem.rubygems_version %>'
<%- end -%>
<%- if config[:ext] == 'go' -%>
    - wget https://go.dev/dl/go$GO_VERSION.linux-amd64.tar.gz -O /tmp/go.tar.gz
    - tar -C /usr/local -xzf /tmp/go.tar.gz
    - export PATH=/usr/local/go/bin:$PATH
<%- end -%>
    - gem install bundler -v <%= Bundler::VERSION %>
    - bundle install

example_job:
<%- if config[:ext] == 'rust' -%>
  variables:
    RB_SYS_FORCE_INSTALL_RUST_TOOLCHAIN: 'true'
<%- end -%>
<%- if config[:ext] == 'go' -%>
  variables:
    GO_VERSION: '1.23.0'
<%- end -%>
  script:
    - bundle exec rake
